Bug 475888 - A JVM crash now points people to java.sun.com
A JVM crash now points people to java.sun.com
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 17:13 EST by Omair Majid
Modified: 2008-12-15 12:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 12:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omair Majid 2008-12-10 17:13:59 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

When the openjdk JVM crashes, it points people to java.sun.com to submit the bug report rather than icedtea.classpath.org

Reproducible: Always

Steps to Reproduce:
1. Install openjdk-1.6.0-openjdk-1.6.0.0-7.b12.fc10
2. Run a java program
3. Get it to crash the jvm
Actual Results:  
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x09884302, pid=18661, tid=1448848
#
# Java VM: OpenJDK Client VM (10.0-b19 mixed mode linux-x86)
# Distribution: Custom build (Tue Dec  2 23:21:56 EST 2008)
# Problematic frame:
# C  [libICE.so.6+0x302]
#
# An error report file with more information is saved as:
# /home/omajid/snippets/hs_err_pid18661.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#
Aborted


Expected Results:  
(something like this)

#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0xaf989334, pid=6541, tid=3028220816
#
# Java VM: OpenJDK Client VM (1.6.0_0-b11 mixed mode, sharing linux-x86)
# Problematic frame:
# C  0xaf989334
#
# If you would like to submit a bug report, please visit:
#   http://icedtea.classpath.org/bugzilla
#
Comment 1 Mark Wielaard 2008-12-11 05:34:12 EST
Confirmed. This was (most likely accidentially) removed upstream in:

changeset:   1037:16c322628d9f
user:        doko@ubuntu.com
date:        Fri Sep 12 22:35:46 2008 +0200

2008-09-12  Matthias Klose  <doko@ubuntu.com>

        * fsg.sh: Update for b12 code drop.
        * Makefile.am, NEWS: Update for b12.
        * patches/icedtea-LCMS-setTagData.patch: Remove, applied upstream.
        * patches/icedtea-color-createcontext.patch: Likewise.
        * patches/icedtea-hotspot-citypeflow.patch: Likewise.
        * patches/icedtea-hotspot-gcc-pr36917.patch: Likewise.
        * patches/icedtea-lcms-leak.patch: Likewise.
        * patches/icedtea-corba.patch: Likewise.
        * patches/icedtea-gervill.patch: Likewise.
        * patches/icedtea-directaudio-close-trick.patch: Likewise.
        * patches/icedtea-generated.patch: Remove, obsolete.
        * patches/icedtea-version.patch: Update.
        * patches/icedtea-ecj.patch: Update.
        * patches/icedtea-javafiles.patch: Regenerate.
        * HACKING: Update for b12.

It was in the last part of the patches/icedtea-version.patch (note that upstream moved this to hotspot specific dirs now in subdirs of patches/hotspot-*/icedtea-version.patch). The removed part was:

---- openjdk.old/hotspot/src/share/vm/runtime/arguments.cpp     2007-12-10 15:46
:40.000000000 -0500
-+++ openjdk/hotspot/src/share/vm/runtime/arguments.cpp 2007-12-19 09:41:41.0000
00000 -0500
-@@ -28,7 +28,7 @@
- #include "incls/_precompiled.incl"
- #include "incls/_arguments.cpp.incl"
- 
--#define DEFAULT_VENDOR_URL_BUG "http://java.sun.com/webapps/bugreport/crash.js
p"
-+#define DEFAULT_VENDOR_URL_BUG "http://icedtea.classpath.org/bugzilla"
- #define DEFAULT_JAVA_LAUNCHER  "generic"
- 
- char**  Arguments::_jvm_flags_array             = NULL;
Comment 2 Lillian Angel 2008-12-15 12:31:25 EST
fixed upstream. will be in the next release.

Note You need to log in before you can comment on or make changes to this bug.